Subject: Re: [sieve] WG status

From: Barry Leiba <[email-masked]>
Date: Fri, 14 Jan 2011 14:18:51 -0500

> draft-ietf-sieve-include-06 - authors to do update based on comments from
> last meeting and reviews. Once done, and the shepherd (Barry) is happy, it
> can probably go to the IESG or Barry may decide another WG last call is
> needed.

I'm dredging this up.  It seems to me that the -06 version is ready.
The only comments I've seen are a suggestion from Dilyan that Jeff H
disagreed with.  Do the editors think this is ready to go to the IESG
and IETF last call?  Does the working group think so?  If I hear a few
"Let's go!" comments from the WG, and an OK from the editors, I'll do
the write-up and give it to Alexey.

Responses soon, please; I'd like to move on this now.

Barry

---

From: Stephan Bosch <[email-masked]>
Date: Tue, 25 Jan 2011 18:30:07 +0100

> Responses soon, please; I'd like to move on this now.

The example script bugs are still not fixed:

   * page 9: personal spam_tests (line 5 and 9) and global spam_tests 
(line 6): reject command has no string argument
   * page 11; active script (line 3): "test-mailbox" is not a valid 
variable name
   * page 11; active script (line 14): missing require for relational 
extension, since :count is used
   * page 11; active script (line 14): the :count match type needs a 
string argument, e.g. "eq"
   * page 11; spam_filter_script (line 6): "spam-${test}; <- missing "

The script 'always_allow' on page 8 uses the `header' test for testing 
an address header, which is not a very proper example. The `address' 
test should be used, because as it is now this script will not always 
work quite as expected, e.g. when From: header is ` "Mr. Boss" 
<[email-masked]> ', with possibly dire consequences ;).

The example on page 8 has the script names above the code, whereas page 
11 has the script names (in a caption) under the code, which I think is 
inconsistent and somewhat confusing.

I believe Alexey also had some comments a few months ago.

Other than that, there the issue with ManageSieve uploading (multiple) 
included scripts, possibly causing temporary include incompatibilities 
and unexpected behavior. However, I don't think this needs to be 
addressed in this document per se.

Regards,

Stephan.

---

From: Aaron Stone <[email-masked]>
Date: Tue, 25 Jan 2011 10:06:21 -0800

I'll post a new version with these corrections, thank you!

On Tue, Jan 25, 2011 at 9:30 AM, Stephan Bosch <[email-masked]> wrote:
>  * page 9: personal spam_tests (line 5 and 9) and global spam_tests (line
> 6): reject command has no string argument
>  * page 11; active script (line 3): "test-mailbox" is not a valid variable
> name
>  * page 11; active script (line 14): the :count match type needs a string
> argument, e.g. "eq"
> The script 'always_allow' on page 8 uses the `header' test for testing an
> address header, which is not a very proper example. The `address' test
> should be used, because as it is now this script will not always work quite
> as expected, e.g. when From: header is ` "Mr. Boss" <[email-masked]> ',
> with possibly dire consequences ;).
>
> The example on page 8 has the script names above the code, whereas page 11
> has the script names (in a caption) under the code, which I think is
> included scripts, possibly causing temporary include incompatibilities and
> unexpected behavior. However, I don't think this needs to be addressed in
> this document per se.
>
> Regards,
>
> Stephan.
>
>
> _______________________________________________
> sieve mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sieve
>